import { Image, ScrollView, Text, Textarea, View } from "@tarojs/components";
import { memo, useState } from "react";
import classnames from "classnames";
import styles  from './index.module.scss'
import Popup from "@/components/popup";
import { formatImgUrl } from "@/common/fotmat";
import Counter from "@/components/counter";

export default memo(() => {
    const [showDesc, setShowDesc] = useState(true)
    return (
        <View className={styles.apply_after_sales_main}>
            <Popup showIconButton={true} show={showDesc} showTitle={false} onClose={() => setShowDesc(false)} >
                <View className={styles.apply_after_sales_con}>
                    <View className={styles.apply_after_sales_head}>申请退货</View>
                    <View className={styles.kind_number}><Text>2种面料，3种颜色，共6条</Text></View>
                    <ScrollView scrollY className={styles.scroll}>
                        <View className={styles.apply_after_sales_list}>
                            <View className={styles.apply_after_sales_item}>
                                <View className={styles.apply_after_sales_title}>
                                    <View className={styles.tag}>大货</View>
                                    <View className={styles.title}>0770# 21S单面平纹(食毛)</View>
                                </View>
                                <View className={styles.color_list}>
                                    <View className={styles.color_item}>
                                        <View className={styles.image}><Image src={formatImgUrl('')}/></View>
                                        <View className={styles.name_and_number}><Text>1# 薄荷绿</Text><Text>x1</Text></View>
                                        <View className={styles.btn_count}>
                                            <Counter/>
                                        </View>
                                    </View>
                                    <View className={styles.color_item}>
                                        <View className={styles.image}><Image src={formatImgUrl('')}/></View>
                                        <View className={styles.name_and_number}><Text>1# 薄荷绿</Text><Text>x1</Text></View>
                                        <View className={styles.btn_count}>
                                            <Counter/>
                                        </View>
                                    </View>
                                </View>
                            </View>
                            <View className={styles.apply_after_sales_item}>
                                <View className={styles.apply_after_sales_title}>
                                    <View className={styles.tag}>大货</View>
                                    <View className={styles.title}>0770# 21S单面平纹(食毛)</View>
                                </View>
                                <View className={styles.color_list}>
                                    <View className={styles.color_item}>
                                        <View className={styles.image}><Image src={formatImgUrl('')}/></View>
                                        <View className={styles.name_and_number}><Text>1# 薄荷绿</Text><Text>x1</Text></View>
                                        <View className={styles.btn_count}>
                                            <Counter/>
                                        </View>
                                    </View>
                                    <View className={styles.color_item}>
                                        <View className={styles.image}><Image src={formatImgUrl('')}/></View>
                                        <View className={styles.name_and_number}><Text>1# 薄荷绿</Text><Text>x1</Text></View>
                                        <View className={styles.btn_count}>
                                            <Counter/>
                                        </View>
                                    </View>
                                </View>
                            </View>
                        </View>
                        <View className={styles.returnSaleInput}>
                            <View className={styles.returnSaleInput_item}>
                                <View className={styles.title}>退货原因</View>
                                <View className={styles.select}>
                                    <Text>请选择</Text>
                                    <Text className={classnames(styles.miconfont, 'iconfont icon-a-moreback')}></Text>
                                </View>
                            </View>
                            <View className={styles.returnSaleInput_item}>
                                <View className={styles.title}>货物状况</View>
                                <View className={styles.select}>
                                    <Text>请选择</Text>
                                    <Text className={classnames(styles.miconfont, 'iconfont icon-a-moreback')}></Text>
                                </View>
                            </View>
                            <View className={styles.returnSaleInput_item}>
                                <View className={styles.title}>退货说明</View>
                                <View className={styles.select}>
                                    <Text>请选择</Text>
                                    <Text className={classnames(styles.miconfont, 'iconfont icon-a-moreback')}></Text>
                                </View>
                            </View>
                            <View className={styles.returnSaleInput_item}>
                                <View className={styles.title}>拍照上传</View>
                                <View className={styles.uploadImg}>
                                    <Text className={classnames(styles.miconfont, 'iconfont icon-saomazhifu')}></Text>
                                    <Text className={styles.uploadText}>上传照片</Text>
                                </View>
                            </View>
                            
                        </View>
                        <View className={styles.other_desc}>
                            <View className={styles.title}>其他说明</View>
                            <View className={styles.uploadImg}>
                                <Textarea placeholder="一般情况下选填，当退货说明=“其它问题”时，必填" cursorSpacing={100}></Textarea>
                                <View className={styles.descDataNum}>0/100</View>
                            </View>
                        </View>
                        <View className="common_safe_area_y"></View>
                    </ScrollView>
                </View>
            </Popup>
        </View>
    )
})